source /etc/vimrc

"autocmd BufReadPost *
"  \ if line("'\"") > 0 && line ("'\"") <= line("$") |
"  \   exe "normal! g'\"" |
"  \ endif

set modeline
set nowrap
set sidescroll=1
set scrolloff=3
set nobackup
set mouse=
set completeopt-=preview
set nofoldenable
set spellcapcheck=0
set sw=2
set ts=2
set et

set smartcase
set nohlsearch

let g:c_syntax_for_h = 1

autocmd FileType c,cpp set cindent
autocmd FileType c,cpp set cinoptions=:0,l0,t0,g0,(0

if has('nvim')
  exec 'source' expand('~/.config/nvim/nvim.vim')
  "source nvim.vim
endif
